<?php
require("../config/config.php");
require(CHEMIN."inc/inc-functions.php");
require(CHEMIN."inc/classe_xml.php");
require(CHEMIN."inc/inc-display-functions.php");

$xml=new classe_xml(MODELE);
//print_r($_POST);

if(isset($_POST['items'])){
    // print_r($_POST);

    $retour=array();
    // récupérer les valeurs encodées du formulaire
    // passer en revue les items et modifier puis sauver le xml
    $items=$_POST['items'];
    unset($_POST['items']);

    if($_POST['action']=="editer"){
        $xml->traiter_formulaire(false);
        $infos=$xml->get_contenu_simple();

        foreach($items as $item){
            $xml->lire_xml(CHEMIN.DOSSIER_XML.$item);

            foreach($infos as $champ => $contenu){
                $xml->set($champ,$contenu);
            }
            $xml->ecrit_xml();
            $retour[$item]=display_mosaique_item($xml,true);
        }
        supprimer_cache();
        echo json_encode($retour);
    } else if($_POST['action']=="supprimer"){
        foreach($items as $item){
            $xml->lire_xml(CHEMIN.DOSSIER_XML.$item);
            $xml->supprimer_xml();
            $retour[$item]=$item;
        }
        supprimer_cache();
        echo json_encode($retour);
    }
} 

if(isset($_GET['edit_items']) || isset($_GET['supprimer_items'])){
echo "<div class=\"container-buttons\"><div class=\"buttons-left\"></div><div class=\"buttons-right\"><div class=\"button button-close ml-3\" onclick=\"close_viewer()\"><span class=\"titre-tiny\">Close</span> <i class=\"fas fa-chevron-right\"></i></div></div></div>";
}

if(isset($_GET['edit_items'])){
    $action=array(
        "titre"=>"Modifier des items",
        "action"=>"modifier_items",
        "exclure_champ"=>array('illustration'),
        "addtop"=>"<div class='my-2'>Sélectionnez les items de cette collection en cliquant sur les items à gauche.</div>",
        "submit"=>"Modifier"
    );
    echo $xml->deployer_formulaire($action);
} else if(isset($_GET['supprimer_items'])){
    echo "<div class=\"px-3\"><header>
<h2 class=\"h5 mb-3\">Supprimer des items</h2>
</header><div class=\"my-2\">Sélectionnez les items à supprimer en cliquant sur les items à gauche.</div>";
    echo "<form id=\"form-item\" method=\"post\" class=\"pb-3\"><input type=\"hidden\" name=\"action\" value=\"supprimer_items\"><input type=\"submit\" class=\"btn btn-success btn-sm\" name=\"submit\" value=\"Supprimer\"></form></div>";
}


?>